Bug 98469 - File not included in %files
File not included in %files
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
alpha Linux
low Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-02 14:45 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 04:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-02 14:45:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:1.3a) Gecko/20030120

Description of problem:
/usr/X11R6/lib/libXdmGreet.so.1.0

file is created but not packaged which causes rpmbuild to not build
alpha.rpms. Please add library to spec file.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-15.1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild XFree86-4.3.0-15.1.src.rpm
2.
3.
    

Actual Results:  Obsoletes: Mesa
Processing files: XFree86-Mesa-libGLU-4.3.0-15.1
Provides: libGLU.so.1
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh
Requires(postun): /bin/sh
Requires: libc.so.6.1 libc.so.6.1(GLIBC_2.0) libc.so.6.1(GLIBC_2.1)
libc.so.6.1(GLIBC_2.1.3) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libm.so.6.1
libm.so.6.1(GLIBC_2.0) libstdc++.so.5 libstdc++.so.5(CXXABI_1.2)
libstdc++.so.5(GLIBCPP_3.2)
Conflicts: XFree86-libs < 4.2.0-50.5
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/XFree86-4.3.0-root
error: Installed (but unpackaged) file(s) found:
   /usr/X11R6/lib/libXdmGreet.so.1.0


RPM build errors:
    user bhcompile does not exist - using root
    Installed (but unpackaged) file(s) found:
   /usr/X11R6/lib/libXdmGreet.so.1.0
You have new mail in /var/spool/mail/root
[root@shadowdragon SRPMS]# 

Expected Results:  binray rpms

Additional info:

installed rpm packages:

librpm404-4.0.4-7x.23
rpm-update-1-20030107
rpm-build-4.2-0.69
rpm2html-1.7-6
rpm404-python-4.0.4-7x.24
rpm-python-4.2-0.69
rpm-4.2-0.69
redhat-rpm-config-8.0.21-1
rpmlint-0.38-7
rpm-devel-4.2-0.69
rpmfind-1.7-7
Comment 1 Mike A. Harris 2003-07-03 12:41:40 EDT
Assuming you haven't edited the spec file, I'm kindof curious why that file
would exist at all, as it doesn't exist on any other architecture.

I'm inclined to believe this isn't a packaging bug, but rather an XFree86
Imake config file bug that is causing something to build that shouldn't.

I don't have an alpha system with a current enough installed OS to investigate
currently though.  Any chance you could poke through the Imake configs and
try to isolate it?

/me wishing alpha port was still alive and well.  ;o/
Comment 2 Need Real Name 2003-07-03 15:43:49 EDT
I'll go pokeing around inside of them over the July 4th. sigh I had just
deleted the source tree too :). 

Just on a side note: The alpha port is dead??? sigh....
Comment 3 Mike A. Harris 2003-07-03 17:48:06 EDT
Red Hat Linux 7.1 was the last release supported by Red Hat, no longer supported
though.  Red Hat Linux 7.2 is the last version produced - for Hewlett Packard,
and is only available and supported by HP.

We no longer build on Alpha as of about 2 months ago, and have no plans to
officially support Alpha in the future.  ;o/

A number of us are interested in keeping RHL/Alpha alive though similar
to the AuroraLinux project, but just need to find the time, so patches and
whatnot are always welcome.

Hopefully we can keep Alpha alive longer.  ;o)
Comment 4 Mike A. Harris 2004-04-16 04:02:27 EDT
This problem is possibly caused if you had manually compiled XFree86
from source previously and installed it in /usr/X11R6 over top (or
instead of) rpm installed XFree86, and if Buildroot is misdefined
and using / as the buildroot, which is bad.

To prevent such problems, never build rpm packages as root, do it
as a user with a customized ~/.rpmrc and ~/.rpmmacros files.  I
have rpmbuild-nonroot on my personal ftp space on people.redhat.com
under the hacks directory which can be used for this.

Closing as 'NOTABUG'

Note You need to log in before you can comment on or make changes to this bug.